package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc预算管理对象 cmc_budget
 * 
 * @author cmc
 * @date 2024-03-22
 */
public class CmcBudget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预算id */
    private String budgetId;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectId;

    /** 人员成本 */
    @Excel(name = "人员成本")
    private BigDecimal staffCost;

    /** 车辆成本 */
    @Excel(name = "车辆成本")
    private BigDecimal carCost;

    /** 设备成本 */
    @Excel(name = "设备成本")
    private BigDecimal deviceCost;

    /** 预结算额 */
    @Excel(name = "预结算额")
    private BigDecimal budgetSettle;

    /** 外协费用 */
    @Excel(name = "外协费用")
    private BigDecimal outExpense;

    /** 商务费用 */
    @Excel(name = "商务费用")
    private BigDecimal businessExpense;

    /** 车船租赁 */
    @Excel(name = "车船租赁")
    private BigDecimal rentExpense;

    /** 其他费用 */
    @Excel(name = "其他费用")
    private BigDecimal otherExpense;

    /** 预算总额 */
    @Excel(name = "预算总额")
    private BigDecimal totalExpense;

    /** 编制人 */
    @Excel(name = "编制人")
    private Long compiler;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditor;

    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setStaffCost(BigDecimal staffCost) 
    {
        this.staffCost = staffCost;
    }

    public BigDecimal getStaffCost() 
    {
        return staffCost;
    }
    public void setCarCost(BigDecimal carCost) 
    {
        this.carCost = carCost;
    }

    public BigDecimal getCarCost() 
    {
        return carCost;
    }
    public void setDeviceCost(BigDecimal deviceCost) 
    {
        this.deviceCost = deviceCost;
    }

    public BigDecimal getDeviceCost() 
    {
        return deviceCost;
    }
    public void setBudgetSettle(BigDecimal budgetSettle) 
    {
        this.budgetSettle = budgetSettle;
    }

    public BigDecimal getBudgetSettle() 
    {
        return budgetSettle;
    }
    public void setOutExpense(BigDecimal outExpense) 
    {
        this.outExpense = outExpense;
    }

    public BigDecimal getOutExpense() 
    {
        return outExpense;
    }
    public void setBusinessExpense(BigDecimal businessExpense) 
    {
        this.businessExpense = businessExpense;
    }

    public BigDecimal getBusinessExpense() 
    {
        return businessExpense;
    }
    public void setRentExpense(BigDecimal rentExpense) 
    {
        this.rentExpense = rentExpense;
    }

    public BigDecimal getRentExpense() 
    {
        return rentExpense;
    }
    public void setOtherExpense(BigDecimal otherExpense) 
    {
        this.otherExpense = otherExpense;
    }

    public BigDecimal getOtherExpense() 
    {
        return otherExpense;
    }
    public void setTotalExpense(BigDecimal totalExpense) 
    {
        this.totalExpense = totalExpense;
    }

    public BigDecimal getTotalExpense() 
    {
        return totalExpense;
    }
    public void setCompiler(Long compiler) 
    {
        this.compiler = compiler;
    }

    public Long getCompiler() 
    {
        return compiler;
    }
    public void setAuditor(Long auditor) 
    {
        this.auditor = auditor;
    }

    public Long getAuditor() 
    {
        return auditor;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetId", getBudgetId())
            .append("projectId", getProjectId())
            .append("staffCost", getStaffCost())
            .append("carCost", getCarCost())
            .append("deviceCost", getDeviceCost())
            .append("budgetSettle", getBudgetSettle())
            .append("outExpense", getOutExpense())
            .append("businessExpense", getBusinessExpense())
            .append("rentExpense", getRentExpense())
            .append("otherExpense", getOtherExpense())
            .append("totalExpense", getTotalExpense())
            .append("compiler", getCompiler())
            .append("auditor", getAuditor())
            .append("createTime", getCreateTime())
            .toString();
    }
}
